import React from "react";
import { FormElement } from "../formElement";
import { Color, Type } from "../../types";
export declare type DateInputProps = FormElement<Date> & {
    buttonType?: Type;
    color?: Color;
    format?: Intl.DateTimeFormatOptions;
    locale?: string;
};
export declare const DateInput: React.FunctionComponent<DateInputProps>;
