import React from "react";
import { FormElement } from "../formElement";
import { Color, Type } from "../../types";
export declare type File = {
    name: string;
    data: Blob;
} | {
    name: null;
    data: null;
};
export declare type FileInputProps = FormElement<File | string> & {
    buttonType?: Type;
    buttonColor?: Color;
};
export declare const FileInput: React.FunctionComponent<FileInputProps>;
