/// <reference types="react" />
import PropTypes from "prop-types";
export interface CardProps {
    title: string;
    className?: string;
    description?: string;
    children: JSX.Element;
}
export declare const Card: {
    ({ title, children, className, description, }: CardProps): JSX.Element;
    propType: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        title: PropTypes.Validator<string>;
        description: PropTypes.Validator<string>;
    };
};
