import React from "react";
import { Renderer } from "./renderers";
import "./icons";
export declare type IconProps = {
    icon: string;
    [key: string]: any;
};
declare type IconRendererProps = {
    children: React.ReactElement;
    render: Renderer;
};
export declare const iconContext: React.Context<Renderer>;
export declare const Icon: React.FunctionComponent<IconProps>;
export declare const IconRenderer: React.FunctionComponent<IconRendererProps>;
export {};
